debian-4.1.2: Modules for working with the Debian package system

Safe Haskell | None
Language | Haskell2010

Debian.VendorURI

# Documentation

newtype VendorURI Source #

Constructors

VendorURI |

Fields

- _vendorURI :: URI

#### Instances

Instances details

Show VendorURI Source # |
Instance details Defined in Debian.VendorURI Methods showsPrec :: Int -> VendorURI -> ShowS Source # show :: VendorURI -> String Source # showList :: [VendorURI] -> ShowS Source #
Eq VendorURI Source # |
Instance details Defined in Debian.VendorURI Methods (==) :: VendorURI -> VendorURI -> Bool Source # (/=) :: VendorURI -> VendorURI -> Bool Source #
Ord VendorURI Source # |

Instance details

Defined in Debian.VendorURI

Methods

compare :: VendorURI -> VendorURI -> Ordering Source #

(<) :: VendorURI -> VendorURI -> Bool Source #

(<=) :: VendorURI -> VendorURI -> Bool Source #

(>) :: VendorURI -> VendorURI -> Bool Source #

(>=) :: VendorURI -> VendorURI -> Bool Source #

max :: VendorURI -> VendorURI -> VendorURI Source #

min :: VendorURI -> VendorURI -> VendorURI Source #

vendorURI :: Iso' VendorURI URI Source #

parseVendorURI :: [Loc] -> String -> Maybe VendorURI Source #